## plasma-discover 5.21.4

=== debian/changelog ===
plasma-discover (5.21.4-0ubuntu2) hirsute; urgency=medium

  * Cherry pick upstream fixes due to ship in the 5.21.5 bugfix update.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Apr 2021 14:20:01 +0100

plasma-discover (5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:08:35 +0100

plasma-discover (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)
    - Fixes CVE-2021-28117: Discover: Missing URI scheme validation
      (LP: #1918681)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:32:20 +0000

plasma-discover (5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:11:31 +0000

plasma-discover (5.21.1-0ubuntu2) hirsute; urgency=medium

  * Add glib2 patch from Fedora to fix FTBFS.

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 19:38:24 +0000

plasma-discover (5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:05:05 +0000

plasma-discover (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:20:46 +0000

plasma-discover (5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Update build deps from cmake.
  * Update install files.
  * New package kde-config-updates.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:43:46 +0000

plasma-discover (5.20.5-1ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
      + Recommend snap and fwupd backends.
      + Recommend software-properties-qt instaed of -kde.
    - plasma-discover-backend-flatpak:
      + Depend on xdg-desktop-portal-kde.
    - plasma-discover-backend-snap:
      + Depend on snapd and xdg-desktop-portal-kde.
    - plasma-discover-common:
      + Breaks/Replaces on plasma-discover (<< 5.20.4-2~) now we are in
        sync with install files from debian.

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Jan 2021 15:29:48 +0000

plasma-discover (5.20.5-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Jan 2021 15:03:23 +0000

plasma-discover (5.20.4-3ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
      + Recommend snap and fwupd backends.
      + Recommend software-properties-qt instaed of -kde.
    - plasma-discover-backend-flatpak:
      + Depend on xdg-desktop-portal-kde.
    - plasma-discover-backend-snap:
      + Depend on snapd and xdg-desktop-portal-kde.
    - plasma-discover-common:
      + Breaks/Replaces on plasma-discover (<< 5.20.4-2~) now we are in
        sync with install files from debian.

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Dec 2020 10:17:16 +0000

plasma-discover (5.20.4-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Build depend on kuserfeedback-dev, to enable feedback.
    - plasma-discover:
      + Recommend snap and fwupd backends.
      + Recommend software-properties-qt instaed of -kde.
    - plasma-discover-backend-flatpak:
      + Depend on xdg-desktop-portal-kde.
    - plasma-discover-backend-snap:
      + Depend on snapd and xdg-desktop-portal-kde.
    - plasma-discover-common:
      + Breaks/Replaces on plasma-discover (<< 5.20.4-2~) now we are in
        sync with install files from debian.

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Dec 2020 16:06:11 +0000

plasma-discover (5.20.4-0ubuntu2) hirsute; urgency=medium

  * Build depend on kuserfeedback-dev

 -- Rik Mills <rikmills@kde.org>  Sun, 06 Dec 2020 12:07:46 +0000

plasma-discover (5.20.4-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Dec 2020 18:48:34 +0000

plasma-discover (5.20.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.0)
  * Drop included upstream_fix-settings-page-crash.patch
  * New upstream release (5.20.1)
  * New upstream release (5.20.2)
  * New upstream release (5.20.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 08:52:14 +0000
