=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Klumpp <mak@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.78~),
               gettext,
               kirigami2-dev (>= 5.42),
               kuserfeedback-dev,
               libappstreamqt-dev (>= 0.12.8~),
               libcurl4-gnutls-dev,
               libdebconf-kde-dev (>= 1.0.0),
               libflatpak-dev (>= 1.10.1-2ubuntu1~) [linux-any],
               libfwupd-dev (>= 1.0.6~) [linux-any],
               libjcat-dev,
               libkf5archive-dev (>= 5.78~),
               libkf5attica-dev (>= 5.74.0~),
               libkf5config-dev (>= 5.78~),
               libkf5coreaddons-dev (>= 5.78~),
               libkf5crash-dev (>= 5.78~),
               libkf5dbusaddons-dev (>= 5.78~),
               libkf5declarative-dev (>= 5.78~),
               libkf5i18n-dev (>= 5.78~),
               libkf5idletime-dev (>= 5.78~),
               libkf5itemmodels-dev (>= 5.78~),
               libkf5kcmutils-dev (>= 5.78~),
               libkf5kio-dev (>= 5.78~),
               libkf5newstuff-dev (>= 5.74.0~),
               libkf5notifications-dev (>= 5.74.0~),
               libkf5xmlgui-dev (>= 5.78~),
               libmarkdown2-dev,
               libpackagekitqt5-dev (>= 1.0.1),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.15.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libsnapd-qt-dev (>= 1.30) [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/discover
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Rules-Requires-Root: no

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         apt-config-icons,
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2 (>= 5.42),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-qtquick-dialogs,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: apt-config-icons-hidpi,
            apt-config-icons-large,
            apt-config-icons-large-hidpi,
            kde-config-updates,
            plasma-discover-backend-fwupd,
            plasma-discover-backend-snap,
            software-properties-qt,
Suggests: plasma-discover-backend-flatpak [linux-any]
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-backend-flatpak
Architecture: linux-any
Depends: flatpak,
         plasma-discover (= ${binary:Version}),
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-discover (<< 5.19.4-2~)
Replaces: plasma-discover (<< 5.19.4-2~)
Description: Discover software management suite - Flatpak backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Flatpak application
 bundling system.

Package: plasma-discover-backend-fwupd
Architecture: linux-any
Depends: plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: fwupd
Description: Discover software management suite - fwupd backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the firmware update daemon.

Package: plasma-discover-backend-snap
Architecture: linux-any
Depends: plasma-discover (= ${binary:Version}),
         snapd,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-discover (<< 5.19.4-2~)
Replaces: plasma-discover (<< 5.19.4-2~)
Description: Discover software management suite - Snap backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Ubuntu Core Snappy application
 bundling system.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Breaks: plasma-discover (<< 5.20.4-2~)
Replaces: plasma-discover (<< 5.20.4-2~)
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: kde-config-updates
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Unattended updates configuration
 This package contains a configuration module for configuring
 unattended updates for fleet administrators without the need to
 use system updaters manually.
 .
 This package is part of Plasma Discover.
