## plasma-discover 5.22.5

=== debian/changelog ===
plasma-discover (5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:45:22 +0200

plasma-discover (5.22.4-0ubuntu2) impish; urgency=medium

  * Fix install files.

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 15:14:22 +0100

plasma-discover (5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:41:54 +0100

plasma-discover (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:05:16 +0100

plasma-discover (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:50:43 +0100

plasma-discover (5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)
  * Drop included upstream_flatpak-properly-notify-about-updates.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:56:57 +0100

plasma-discover (5.22.1-0ubuntu2) impish; urgency=medium

  * Add upstream_flatpak-properly-notify-about-updates.patch to fix
    false notifier alerts.

 -- Rik Mills <rikmills@kde.org>  Wed, 16 Jun 2021 16:41:52 +0100

plasma-discover (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:08:50 +0100

plasma-discover (5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Jun 2021 17:44:08 +0100

plasma-discover (5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)
  * Drop included upstream patches.
  * debian/control: For now do not use arch: linux-any

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:01:25 +0100
