=== debian/control ===
--- 
+++ 
@@ -9,37 +9,37 @@
            Patrick Franz <patfra71@gmail.com>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.78~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               kirigami2-dev (>= 5.42),
+               kirigami2-dev (>= 5.82.0~),
                kuserfeedback-dev,
                libappstreamqt-dev (>= 0.12.8~),
                libcurl4-gnutls-dev,
                libdebconf-kde-dev (>= 1.0.0),
-               libflatpak-dev (>= 1.10.1-2ubuntu1~) [linux-any],
-               libfwupd-dev (>= 1.0.6~) [linux-any],
+               libflatpak-dev (>= 1.10.1-2ubuntu1~),
+               libfwupd-dev (>= 1.0.6~),
                libjcat-dev,
-               libkf5archive-dev (>= 5.78~),
-               libkf5attica-dev (>= 5.74.0~),
-               libkf5config-dev (>= 5.78~),
-               libkf5coreaddons-dev (>= 5.78~),
-               libkf5crash-dev (>= 5.78~),
-               libkf5dbusaddons-dev (>= 5.78~),
-               libkf5declarative-dev (>= 5.78~),
-               libkf5i18n-dev (>= 5.78~),
-               libkf5idletime-dev (>= 5.78~),
-               libkf5itemmodels-dev (>= 5.78~),
-               libkf5kcmutils-dev (>= 5.78~),
-               libkf5kio-dev (>= 5.78~),
-               libkf5newstuff-dev (>= 5.74.0~),
-               libkf5notifications-dev (>= 5.74.0~),
-               libkf5xmlgui-dev (>= 5.78~),
+               libkf5archive-dev (>= 5.82.0~),
+               libkf5attica-dev (>= 5.82.0~),
+               libkf5config-dev (>= 5.82.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5crash-dev (>= 5.82.0~),
+               libkf5dbusaddons-dev (>= 5.82.0~),
+               libkf5declarative-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5idletime-dev (>= 5.82.0~),
+               libkf5itemmodels-dev (>= 5.82.0~),
+               libkf5kcmutils-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5newstuff-dev (>= 5.82.0~),
+               libkf5notifications-dev (>= 5.82.0~),
+               libkf5xmlgui-dev (>= 5.82.0~),
                libmarkdown2-dev,
                libpackagekitqt5-dev (>= 1.0.1),
                libqca-qt5-2-dev,
                libqt5svg5-dev (>= 5.15.0~),
                libqt5x11extras5-dev (>= 5.15.0~),
-               libsnapd-qt-dev (>= 1.30) [linux-any],
+               libsnapd-qt-dev (>= 1.30),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),
@@ -71,7 +71,7 @@
             plasma-discover-backend-fwupd,
             plasma-discover-backend-snap,
             software-properties-qt,
-Suggests: plasma-discover-backend-flatpak [linux-any]
+Suggests: plasma-discover-backend-flatpak
 Description: Discover software management suite
  Discover is a graphical software manager for the Plasma workspace.
  It helps users easily and quickly find applications and other software
@@ -85,7 +85,7 @@
  installing them.
 
 Package: plasma-discover-backend-flatpak
-Architecture: linux-any
+Architecture: any
 Depends: flatpak,
          plasma-discover (= ${binary:Version}),
          xdg-desktop-portal-kde,
@@ -102,7 +102,7 @@
  bundling system.
 
 Package: plasma-discover-backend-fwupd
-Architecture: linux-any
+Architecture: any
 Depends: plasma-discover (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -115,7 +115,7 @@
  This package contains a backend for the firmware update daemon.
 
 Package: plasma-discover-backend-snap
-Architecture: linux-any
+Architecture: any
 Depends: plasma-discover (= ${binary:Version}),
          snapd,
          xdg-desktop-portal-kde,
