=== debian/changelog ===
plasma-discover (5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:19:14 +0100

plasma-discover (5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:13:46 +0000

plasma-discover (5.24.2.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 16:37:46 +0000

plasma-discover (5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:00:44 +0000

plasma-discover (5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:20:18 +0000

plasma-discover (5.24.0a-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)
  * Drop included fix-discover-startup-crash.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Feb 2022 09:59:40 +0000

plasma-discover (5.23.90-0ubuntu2) jammy; urgency=medium

  * Add fix-discover-startup-crash.patch based on upstream changes.

 -- Rik Mills <rikmills@kde.org>  Sun, 30 Jan 2022 20:06:03 +0000

plasma-discover (5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:17:49 +0000

plasma-discover (5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:39:38 +0000

plasma-discover (5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:55:42 +0000

plasma-discover (5.23.3.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.3.1)
  * Update upstream signing key

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 29 Nov 2021 05:38:55 +0000

plasma-discover (5.23.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Nov 2021 11:16:53 +0000

plasma-discover (5.23.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:49:07 +0000

plasma-discover (5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:50:53 +0100
