=== debian/control ===
--- 
+++ 
@@ -1,39 +1,40 @@
 Source: plasma-discover
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Matthias Klumpp <mak@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <patfra71@gmail.com>,
-Build-Depends: cmake (>= 2.8.12),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
-               kirigami2-dev (>= 5.82.0~),
+               kirigami2-dev (>= 5.90.0~),
                kuserfeedback-dev,
-               libappstreamqt-dev (>= 0.12.8~),
+               libappstreamqt-dev (>= 0.14.4~),
                libcurl4-gnutls-dev,
                libdebconf-kde-dev (>= 1.0.0),
                libflatpak-dev (>= 1.10.1-2ubuntu1~),
                libfwupd-dev (>= 1.0.6~),
                libjcat-dev,
-               libkf5archive-dev (>= 5.82.0~),
-               libkf5attica-dev (>= 5.82.0~),
-               libkf5config-dev (>= 5.82.0~),
-               libkf5coreaddons-dev (>= 5.82.0~),
-               libkf5crash-dev (>= 5.82.0~),
-               libkf5dbusaddons-dev (>= 5.82.0~),
-               libkf5declarative-dev (>= 5.82.0~),
-               libkf5i18n-dev (>= 5.82.0~),
-               libkf5idletime-dev (>= 5.82.0~),
-               libkf5itemmodels-dev (>= 5.82.0~),
-               libkf5kcmutils-dev (>= 5.82.0~),
-               libkf5kio-dev (>= 5.82.0~),
-               libkf5newstuff-dev (>= 5.82.0~),
-               libkf5notifications-dev (>= 5.82.0~),
-               libkf5xmlgui-dev (>= 5.82.0~),
+               libkf5archive-dev (>= 5.90.0~),
+               libkf5attica-dev (>= 5.90.0~),
+               libkf5config-dev (>= 5.90.0~),
+               libkf5coreaddons-dev (>= 5.90.0~),
+               libkf5crash-dev (>= 5.90.0~),
+               libkf5dbusaddons-dev (>= 5.90.0~),
+               libkf5declarative-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5idletime-dev (>= 5.90.0~),
+               libkf5itemmodels-dev (>= 5.90.0~),
+               libkf5kcmutils-dev (>= 5.90.0~),
+               libkf5kio-dev (>= 5.90.0~),
+               libkf5newstuff-dev (>= 5.90.0~),
+               libkf5notifications-dev (>= 5.90.0~),
+               libkf5xmlgui-dev (>= 5.90.0~),
                libmarkdown2-dev,
                libpackagekitqt5-dev (>= 1.0.1),
                libqca-qt5-2-dev,
