## plasma-discover 5.24.7-0ubuntu0.1+11.0trisquel2

=== debian/changelog ===
plasma-discover (5.24.7-0ubuntu0.1+11.0trisquel2) aramo; urgency=medium

  * Disable kns, snap and flatpack backend

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 21 Nov 2022 12:39:50 +0000
